package com.brilliance.isc.swift.objmtconvert.model.mt7xx.tag.tag721;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT721Creator;

/**
 * @author wuzhe
 * @date 2023/2/28
 */
public class Tag45ACreator extends AbsTagCreate {

     private MT721Creator mt721Creator;

    public Tag45ACreator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt721Creator= (MT721Creator) absMTCreator;
    }

    public  void creator()
    {
        String tag45AValue = mt721Creator.getDescriptionofGoodsServices();
        mt721Creator.set("45A", tag45AValue);
    }
}
